com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache

## Class NoKCVSCache

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSProxy
  - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.KCVSCache
    - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.NoKCVSCache

- All Implemented Interfaces:
    KeyColumnValueStore

      public class NoKCVSCache
      extends KCVSCache

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.KCVSCache

      `NO_DELETIONS`

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSProxy

      `store`

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.keycolumnvalue.KeyColumnValueStore

      `NO_ADDITIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoKCVSCache(KeyColumnValueStore store)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCache()`
    `protected void` | `invalidate(StaticBuffer key, List<CachableStaticBuffer> entries)`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.cache.KCVSCache

      `getSliceNoCache, getSliceNoCache, hasValidateKeysOnly, incActionBy, mutate, mutateEntries, unwrapTx`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSProxy

      `acquireLock, close, getKeys, getKeys, getName, getSlice, getSlice`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoKCVSCache

          public NoKCVSCache(KeyColumnValueStore store)

  - ### Method Detail

    - #### clearCache

          public void clearCache()

      Specified by:
        `clearCache` in class `KCVSCache`

    - #### invalidate

          protected void invalidate(StaticBuffer key,
                        List<CachableStaticBuffer> entries)

      Specified by:
        `invalidate` in class `KCVSCache`

Copyright © 2012–2014. All rights reserved.